## org.red5.server.api.stream
Interface IServerStream

All Superinterfaces:
  IBroadcastStream, IPlaylist, IStream

All Known Implementing Classes:
  ServerStream

    public interface IServerStream

extends IPlaylist, IBroadcastStream

IServerStream has both IPlaylist and IBroadcastStream methods but add nothing new. It represents a stream broadcasted from the server.

Method Summary
`void` `pause()` Toggles the paused state.
`void` `seek(int position)` Seek to a given position in the stream.

Methods inherited from interface org.red5.server.api.stream.IPlaylist
`addItem, addItem, getCurrentItem, getCurrentItemIndex, getItem, getItemSize, hasMoreItems, isRandom, isRepeat, isRewind, nextItem, previousItem, removeAllItems, removeItem, setItem, setPlaylistController, setRandom, setRepeat, setRewind`

Methods inherited from interface org.red5.server.api.stream.IBroadcastStream
`addStreamListener, getMetaData, getProvider, getPublishedName, getSaveFilename, getStreamListeners, removeStreamListener, saveAs, setPublishedName`

Methods inherited from interface org.red5.server.api.stream.IStream
`close, getCodecInfo, getCreationTime, getName, getScope, start, stop`

Method Detail

### pause

    void pause()

  Toggles the paused state.

### seek

    void seek(int position)

  Seek to a given position in the stream.

  Parameters:
    `position` - new playback position in milliseconds

Copyright © 2006-2010 The Red5 Project